<?php

namespace App\ViewModels\Perfil\PerfilRegistrationViewModel;
use App\Utils\Entity;

class PerfilRegistrationViewModel extends Entity
{
    protected $descricao;
    protected $permissao;

    public static function builder() : PerfilRegistrationViewModelBuilder
    {
        $perfil_registration_view_model_builder = new PerfilRegistrationViewModelBuilder();
        return $perfil_registration_view_model_builder;
    }

    /**
     * @return mixed
     */
    public function getDescricao()
    {
        return $this->descricao;
    }

    /**
     * @param mixed $descricao
     */
    public function setDescricao($descricao): void
    {
        $this->descricao = $descricao;
    }

    /**
     * @return mixed
     */
    public function getPermissao()
    {
        return $this->permissao;
    }

    /**
     * @param mixed $permissao
     */
    public function setPermissao($permissao): void
    {
        $this->permissao = $permissao;
    }




}
